%define name monodevelop
%define version 4.0.12
%define release %mkrel 1
%define gtksharp 2.12.10
%define monodoc 1.0
%define pkgconfigdir %_datadir/pkgconfig

Summary: Full-featured IDE for mono and Gtk#
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://go-mono.com/sources/monodevelop/%{name}-%{version}-3.tar.bz2
Patch:		monodevelop-1.9.2-libxul.patch
Patch1:		link_system_nunit.patch
Patch2:		%{name}-3.0.3.2-md-gettext.patch
URL: http://www.monodevelop.com/
License: LGPLv2
Group: Development/Other
Requires: gnome-sharp2 >= %gtksharp
Requires: glade-sharp2 >= %gtksharp
Requires: monodoc >= %monodoc
Requires: mono-basic
Requires: %{_lib}mono-devel
Requires: shared-mime-info
Requires: xterm
Requires: subversion
Requires: git
Requires: xsp
BuildRequires: mono-addins-devel
##BuildRequires: gnome-desktop-sharp-devel
BuildRequires: gnome-sharp2-devel >= %gtksharp
BuildRequires: glade-sharp2 >= %gtksharp
BuildRequires: monodoc >= %monodoc
BuildRequires: mono-devel mono-addins-devel %{_lib}mono-devel mono-wcf
BuildRequires:	rsync
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
Provides:       mono(nunit.core) = 2.6.0.12051
Provides:       mono(nunit.core.interfaces) = 2.6.0.12051
Provides:       mono(nunit.framework) = 2.6.0.12051
Provides:       mono(nunit.util) = 2.6.0.12051

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires(post): desktop-file-utils shared-mime-info
Requires(postun): desktop-file-utils shared-mime-info
%define _requires_exceptions ^libg.*\\|lib64g.*\\|libp.*\\|lib64p.*\\|liba.*\\|lib64a.*

%description 
This is MonoDevelop which is intended to be a full-featured
integrated development environment (IDE) for mono and Gtk#.
It was originally a port of SharpDevelop 0.98.

%prep
%setup -q
#%patch -p1 -b .libxul
#autoconf

%build
###./configure --prefix=%_prefix --libdir=%_prefix/lib --enable-versioncontrol --enable-aspnet --enable-subversion --enable-aspnetedit --enable-monoextensions --disable-update-mimedb --disable-update-desktopdb 
./configure --prefix=%_prefix --libdir=%_prefix/lib --enable-subversion --enable-git --enable-monoextensions --disable-update-mimedb --disable-update-desktopdb 
#--enable-gtksourceview2
make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
mkdir -p %{buildroot}/`monodoc --get-sourcesdir`
%makeinstall_std pkgconfigdir=%pkgconfigdir packagedir=%buildroot%_prefix/lib/monodevelop/AddIns/AspNetEdit MOZILLA_HOME=%buildroot%_prefix/lib/firefox-%mozver/

desktop-file-install --dir %buildroot%_datadir/applications \
  %buildroot%_datadir/applications/*.desktop

%find_lang %name

#gw replace bundled nunit by symlinks:
cd %buildroot%_prefix/lib/monodevelop/AddIns/NUnit
for x in nunit.*.dll; do
    ln -sf %_prefix/lib/mono/2.0/$x .
done

%post
%update_mime_database
%update_desktop_database
%update_menus
%update_icon_cache hicolor

%postun
%clean_mime_database
%clean_desktop_database
%clean_menus
%clean_icon_cache hicolor


%files -f %name.lang
%defattr(-,root,root) 
%doc AUTHORS ChangeLog README 
%{_bindir}/mdtool
%{_bindir}/monodevelop
%{_prefix}/lib/monodevelop/
%_mandir/man1/mdtool.1*
%_mandir/man1/monodevelop.1*
%{_datadir}/applications/monodevelop.desktop
%{_datadir}/mime/packages/monodevelop.xml
%_datadir/icons/hicolor/*/apps/monodevelop.*
%pkgconfigdir/monodevelop.pc
%pkgconfigdir/monodevelop-core-addins.pc

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Wed Sep 25 2013 pinoc <vogtpet at gmail.com> 4.0.12-1pclos2013
- 4.0.12
- removed noarch

* Sat Aug 20 2011 Texstar <texstar at gmail.com> 2.4.2-1pclos2011
- 2.4.2
